Package com.google.earth.kml._2

# Class BalloonStyleType

java.lang.Object
com.google.earth.kml._2.ObjectType
com.google.earth.kml._2.BalloonStyleType

public class BalloonStyleType extends ObjectType
<p>Java class for BalloonStyleType complex type</p>. <p>The following schema fragment specifies the expected content contained within this class.</p> <pre>{@code <complexType name="BalloonStyleType"> <complexContent> <extension base="{http://earth.google.com/kml/2.1}ObjectType"> <sequence> <choice> <element name="color" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> <element name="bgColor" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> </choice> <element name="textColor" type="{http://earth.google.com/kml/2.1}color" minOccurs="0"/> <element name="text" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/> </sequence> </extension> </complexContent> </complexType> }</pre>

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `bgColor`
  `protected byte[]`
  `color`
  `protected String`
  `text`
  `protected byte[]`
  `textColor`

  ### Fields inherited from class com.google.earth.kml._2.ObjectType

  `id, targetId`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BalloonStyleType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getBgColor()`
  Gets the value of the bgColor property.
  `byte[]`
  `getColor()`
  Gets the value of the color property.
  `String`
  `getText()`
  Gets the value of the text property.
  `byte[]`
  `getTextColor()`
  Gets the value of the textColor property.
  `void`
  `setBgColor(byte[] value)`
  Sets the value of the bgColor property.
  `void`
  `setColor(byte[] value)`
  Sets the value of the color property.
  `void`
  `setText(String value)`
  Sets the value of the text property.
  `void`
  `setTextColor(byte[] value)`
  Sets the value of the textColor property.

  ### Methods inherited from class com.google.earth.kml._2.ObjectType

  `getId, getTargetId, setId, setTargetId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### color

    protected byte[] color

  - ### bgColor

    protected byte[] bgColor

  - ### textColor

    protected byte[] textColor

  - ### text

    protected String text

- ## Constructor Details

  - ### BalloonStyleType

    public BalloonStyleType()

- ## Method Details

  - ### getColor

    public byte[] getColor()
    Gets the value of the color property.
    Returns:
      possible object is `String`

  - ### setColor

    public void setColor(byte[] value)
    Sets the value of the color property.
    Parameters:
      `value` - allowed object is `String`

  - ### getBgColor

    public byte[] getBgColor()
    Gets the value of the bgColor property.
    Returns:
      possible object is `String`

  - ### setBgColor

    public void setBgColor(byte[] value)
    Sets the value of the bgColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getTextColor

    public byte[] getTextColor()
    Gets the value of the textColor property.
    Returns:
      possible object is `String`

  - ### setTextColor

    public void setTextColor(byte[] value)
    Sets the value of the textColor property.
    Parameters:
      `value` - allowed object is `String`

  - ### getText

    public String getText()
    Gets the value of the text property.
    Returns:
      possible object is `String`

  - ### setText

    public void setText(String value)
    Sets the value of the text property.
    Parameters:
      `value` - allowed object is `String`